Retrieves the used part with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| article_id |
Foreign key of article. Can be empty if user keys in manually the object |
globally unique identifier | |
| user_id |
Foreign key, user that uses this part |
globally unique identifier |
Required |
| article_stock_location_id |
In case of stock management enabled, the stock that has been used |
globally unique identifier | |
| working_date |
Date when the part has been used |
date | |
| code |
Code of the part (filled by article.code or manually by the user) |
string |
Max length: 255 |
| name |
Name of the part (filled by article.name or manually by the user) |
string |
Max length: 255 |
| description |
Description of the part (filled by article.description or manually by the user) |
string |
Max length: 255 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit price of the part. Computed with the price logic or filled via purchase_order_details.price |
decimal number | |
| remark |
Remark / Line memo |
string |
Max length: 255 |
| purchase_order_details_id |
Foreign key of purchase_order_details, if the line was generated based on a purchase_order_details |
globally unique identifier | |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "16ef51f2-2152-4b0d-8a7b-ea4f4b121695",
"jobs_id": "34b8e0e6-24ca-4eb2-a4b2-39cb3704384e",
"article_id": "bc4cf9b4-5c53-4bd1-946a-dd2d355be42d",
"user_id": "e3d5a6fd-8878-4f24-9b39-b3ed2431e573",
"article_stock_location_id": "bb71a9c9-3172-4507-a692-ff1cf88034ab",
"working_date": "2026-11-01T09:40:35.692299+00:00",
"code": "sample string 7",
"name": "sample string 8",
"description": "sample string 9",
"quantity": 10.0,
"price": 11.0,
"remark": "sample string 12",
"purchase_order_details_id": "e2337741-eea7-4964-b969-623a5b5a92b7",
"signed_by_company": true,
"job_approval_id": "1a363cca-31f7-4b92-9775-919cbb46723c",
"is_under_warranty": true,
"modified_dateutc": "2026-11-01T09:40:35.692299+00:00"
}